/* You can add global styles to this file, and also import other style files */

body {
    margin: 0
}

* {
    font-family: Arial, Helvetica, sans-serif;
}

:root {
    --primary-color: #0366ee;
    --secondary-color: #34de73;
    --primary-contrast-color: white;
    --secondary-color-contrast: white;
}

.font-bold {
    font-weight: bold !important;
}

.font-700 {
    font-weight: 700;
}

.text-primary {
    color: var(--primary-color)
}

.font-dark {
    color: #282651
}

.text-justify {
    text-align: justify;
}

.secondary-text {
    color: var(--secondary-color)
}

.secondary-button {
    background-color: #21c95f !important;
    color: var(--secondary-color-contrast) !important;
    border-radius: 0 !important;
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
    outline: none;
}

.secondary-button:focus {
    outline: none !important;
}

.no-hover {
    cursor: default !important;
}

.hero-container {
    background-color: var(--primary-color);
    background-image: url('./assets/hero-bg-min.jpg');
    background-blend-mode: darken;
    color: var(--primary-contrast-color);
    margin-bottom: 5vh;
    position: relative;
}

.hero-container:after {
    background: inherit;
    content: "";
    display: block;
    height: 150px;
    left: 0;
    position: absolute;
    right: 0;
    transform-origin: 0;
    z-index: -2;
    bottom: -145px;
    transform: skewY(-3deg);
    background-blend-mode: darken;
}

.img {
    display: flex;
    align-items: center;
    justify-content: center;
}

.img img {
    border-radius: 50%;
    border: 5px solid var(--secondary-color);
    height: 200px;
    width: 200px;
}

.work-cards-container {
    display: flex;
    padding: 10px 0px;
    overflow-x: auto;
    position: relative;
}

.work-cards-container::-webkit-scrollbar {
    display: none;
}

.work-cards-container {
    -ms-overflow-style: none;
    scrollbar-width: none;
    display: flex;
    margin-left: auto;
    margin-right: auto
}

#left,
#right {
    min-width: 30px;
    min-height: 30px;
    max-height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    font-size: 1.3rem;
    border-radius: 50%;
    color: white;
    position: absolute;
    background-color: #21c95f;
    top: calc(50% - 15px);
    z-index: 2
}

/* #left::before {
    content: '\226E';
}

#right::before {
    content: '\226F';
} */

#right {
    right: -10px;
}

#left {
    left: -15px;
}

#left:hover,
#right:hover {
    transform: scale(1.1);
    transition: 0.1s;
    cursor: pointer;
}

.work-card {
    cursor: pointer;
    position: relative;
    box-shadow: 0 0.2rem 0.3rem rgb(0 0 0 / 15%);
    margin: 0px 15px;
    min-width: 300px;
    max-width: 300px;
    text-align: center;
}

.work-card:first-child {
    margin-left: 0;
}

.work-card .heading {
    padding: 0px 8px;
}

.work-card .description {
    padding: 0px 8px;
}

.work-card:hover:not(.no-hover) {
    transform: scale(1.05);
    transition: 0.1s;
}

.contact-form {
    justify-content: center !important;
}

.contact-column {
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
    background: white;
}

.footer-section {
    background-color: var(--primary-color);
    background-image: url('./assets/hero-bg-min.jpg');
    background-blend-mode: darken;
    color: var(--primary-contrast-color);
    margin-top: 10vh;
    position: relative;
}

.footer-section::before {
    background: inherit;
    content: "";
    display: block;
    height: 150px;
    left: 0;
    position: absolute;
    right: 0;
    transform-origin: 0;
    z-index: -2;
    top: -145px;
    background-blend-mode: darken;

}

.about-me-section .about-me-container {
    padding: 10px 15px;
    box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
    background: white;
    overflow: hidden;
    position: relative;
}

#sent,
#error {
    display: none;
    color: #21c95f;
}

#error {
    color: red;
}


#sent.show,
#error.show {
    display: block;
    text-align: center;
}

.rectangle {
    position: absolute;
    width: 10rem;
    height: 20rem;
    background: var(--secondary-color);
    transform: rotate(-45deg);
    left: -10rem;
    bottom: -10rem;
}

.footer-section img {
    cursor: pointer;
}

.skills-container {
    max-width: max-content;
    margin: auto;
    padding: 8px 3rem;
}

@media (min-width: 576px) {
    .about-me-section .about-me-container {
        max-width: 70vw;
    }

    .about-me-section p {
        max-width: calc(100% - 80px);
    }
}

@media (max-width: 576px) {
    .work-cards-container {
        flex-direction: column;
        align-items: center;
    }

    .work-card {
        margin: 15px 0px;
        text-align: center;
    }

    .work-card:first-child {
        margin-top: 0;
    }

    .about-me-heading {
        text-align: center;
    }

    .about-me-heading+p {
        text-align: center;
    }

    #left,
    #right {
        display: none;
    }

    .about-me-container {
        flex-direction: column-reverse;
        margin: 0px 15px;
    }
}

@media (max-width: 767px) {
    .hero-header {
        flex-direction: column-reverse;
    }

    .img img {
        height: 200px;
        width: 200px;
    }
}